.site {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.site-main {
    margin-bottom: 40px;
    /* margin-top: 40px; */
    transition: .3s;
}

.hidden + .site-main {
    margin-top: 0;
}

.site-footer {
    margin-top: auto;
    background: var(--black);
    color: #e1e1e1;
    padding: 60px 0;
    text-align: center;
}